class UI_BaseObstacle extends UIBaseComponent {
	public timestamp: number;
	public constructor() {
		super();
	}

	protected bindEvents(): void {
		super.bindEvents();
	}

	protected onCreate(): void {
		super.onCreate();
	}
	/**
	 * 界面关闭时调用
	 */
	public onClose(): void {
	}
}